Conexión intermitente Wireless Ubuntu 9.04 / 9.10 (tarjeta atherios)

Posted on diciembre 11, 2009. Filed under: Servicios de sistema |

Estuve presentando varios inconvenientes con la conexión de Ubuntu, desde la versión 9.04, e incluso luego de la actualización, (esperando que la actualización resolviera el inconveniente), mas esto no fue así.

Luego de googlear un rato, conseguí resolver, al menos “mi conflicto”, en todo caso, si ustedes mis queridos lectores no tienen el mismo error, pues tomen de aquí como siempre lo que les sirva, eso sí de vez en cuando dejen comentarios…

En fin, el conflicto se presentaba con el modulo de mi tarjeta de Red, así como también algún bug (no resuelto de pidgin), pues era de verdad infernal como se conectaba y desconectaba, cambiando cualquier parametro y nada funcionaba.

Al grano, lo primero que debes hacer es revisar cual es tu tarjeta wifi.

raldaz@mercurio:~$ lspci |grep -i Wi

02:00.0 Network controller: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01)

Ok, ya sabemos que es de tipo AR928X.

A partir de allí inicia nuestro trabajo de investigación:

Revisamos si en realidad existe el driver para nuestra tarjeta en el kernel:

raldaz@mercurio:~$ modprobe -l | grep ath9k

updates/drivers/net/wireless/ath/ath9k/ath9k.ko

Según la información de internet, el driver para la Atheros es la “ath9k”, entonces quiere decir que lo tenemos, ¿Pero estará actualizado?.

Nos vamos a la pagina siguiente y bajamos el ultimo “compat-wireless” de Kernel release, esto nos dará la seguridad que tenemos el último, y seguimos los pasos, indicados en esta pagina para compilar nuestro kernel con este modulo.

Luego reiniciamos y listo, ya debería mejorar nuestra conexión.

Aun así yo seguía sufriendo intermitencia, con el pidgin, aunque no con la internet, o los demás servicios.

Para ello, instalé emesene, el cual no me ha presentado mas inconvenientes, cabe destacar que probé cambiando distintas maneras de conectar pidgin, mas la intermitencia se mantuvo.

Ya esperaré un nuevo release, para instalar pidgin nuevamente, aunque con emesene no me va mal.

Salud!

Make a Comment

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

Liked it here?
Why not try sites on the blogroll...

A %d blogueros les gusta esto: